classification
Title: Add a version number to Python functions
Type: performance Stage: resolved
Components: Versions:
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Mark.Shannon Nosy List: BTaskaya, Mark.Shannon, brandtbucher, corona10, erlendaasland, kj
Priority: normal Keywords: patch

Created on 2021-05-21 15:52 by Mark.Shannon, last changed 2021-08-09 14:58 by Mark.Shannon. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 27078 merged Mark.Shannon, 2021-07-09 13:24
Messages (2)
msg394124 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-05-21 15:52
In order to specialize calls to Python functions, or to inline them, we need to know that the code object has not changed. It is also useful to know that the globals, builtins and various defaults haven't changed either. Rather than attempting to check these individually it is much simpler and faster to check a version number.
msg397290 - (view) Author: Mark Shannon (Mark.Shannon) * (Python committer) Date: 2021-07-12 09:01
New changeset 9487a17e3c7cbb3f11c144775cd108601701bb74 by Mark Shannon in branch 'main':
bpo-44207: Add an internal version number to function objects. (GH-27078)
https://github.com/python/cpython/commit/9487a17e3c7cbb3f11c144775cd108601701bb74
History
Date User Action Args
2021-08-09 14:58:07Mark.Shannonsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2021-07-12 09:01:29Mark.Shannonsetmessages: + msg397290
2021-07-09 13:24:15Mark.Shannonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request25628
2021-05-24 15:53:43erlendaaslandsetnosy: + erlendaasland
2021-05-24 14:56:29kjsetnosy: + kj
2021-05-22 17:22:46BTaskayasetnosy: + BTaskaya
2021-05-22 13:21:44corona10setnosy: + corona10
2021-05-21 21:50:18brandtbuchersetnosy: + brandtbucher
2021-05-21 15:52:58Mark.Shannoncreate